#
# Conditional build:
%bcond_without	ruby		# build without Ruby bindings
%bcond_with	python3		# build for Python3

%include	/usr/lib/rpm/macros.perl
Summary:	Library to provide key AppArmor symbols
Summary(pl.UTF-8):	Biblioteka udostępniająca kluczowe symbole AppArmor
Name:		libapparmor
Version:	2.13.3
Release:	2
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://launchpad.net/apparmor/2.13/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	81468fb2b7ba7966910f617371073391
Patch0:		%{name}-private.patch
URL:		http://wiki.apparmor.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc >= 5:3.2
BuildRequires:	libtool
BuildRequires:	perl-devel
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
%if %{with python3}
BuildRequires:	python3-devel
%else
BuildRequires:	python-devel
%endif
BuildRequires:	rpmbuild(macros) >= 1.272
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
%{?with_ruby:BuildRequires:	ruby-devel}
BuildRequires:	swig-perl
BuildRequires:	swig-python
%{?with_ruby:BuildRequires:	swig-ruby}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides the libapparmor library, which contains the
change_hat(2) symbol, used for sub-process confinement by AppArmor.
Applications that wish to make use of change_hat(2) need to link
against this library. This package is part of a suite of tools that
used to be named SubDomain.

%description -l pl.UTF-8
Ten pakiet udostępnia bibliotekę libapparmor, zawierającą symbol
change_hat(2), używany do więzienia podprocesów przez AppArmor.
Aplikacje chcące używać change_hat(2) muszą być linkowane z tą
biblioteką. Ten pakiet jest częścią zestawu narzędzi nazywanego
SubDomain.

%package devel
Summary:	Header files for libapparmor library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libapparmor
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This is the package containing the header files for libapparmor
library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki libapparmor.

%package static
Summary:	Static libapparmor library
Summary(pl.UTF-8):	Statyczna biblioteka libapparmor
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libapparmor library.

%description static -l pl.UTF-8
Statyczna biblioteka libapparmor.

%package -n perl-LibAppArmor
Summary:	AppArmor Perl bindings
Summary(pl.UTF-8):	Dowiązania do AppArmor dla Perla
Summary(pt_BR.UTF-8):	Módulos Perl para acessar os recursos do AppArmor
Group:		Development/Languages/Perl
Obsoletes:	perl-apparmor
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n perl-LibAppArmor
AppArmor Perl bindings.

%description -n perl-LibAppArmor -l pl.UTF-8
Dowiązania do AppArmor dla Perla.

%description -n perl-LibAppArmor -l pt_BR.UTF-8
Módulos Perl para acessar os recursos do AppArmor.

%package -n python-LibAppArmor
Summary:	AppArmor Python bindings
Summary(pl.UTF-8):	Dowiązania do AppArmor dla Pythona
Summary(pt_BR.UTF-8):	Módulos Python para acessar os recursos do AppArmor
Group:		Development/Languages/Python
%pyrequires_eq  python
Obsoletes:	python-apparmor
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python-LibAppArmor
AppArmor Python bindings.

%description -n python-LibAppArmor -l pl.UTF-8
Dowiązania do AppArmor dla Pythona.

%description -n python-LibAppArmor -l pt_BR.UTF-8
Módulos Python para acessar os recursos do AppArmor.

%package -n python3-LibAppArmor
Summary:	AppArmor Python bindings
Summary(pl.UTF-8):	Dowiązania do AppArmor dla Pythona
Summary(pt_BR.UTF-8):	Módulos Python para acessar os recursos do AppArmor
Group:		Development/Languages/Python
%pyrequires_eq  python3
Obsoletes:	python3-apparmor
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python3-LibAppArmor
AppArmor Python bindings.

%description -n python3-LibAppArmor -l pl.UTF-8
Dowiązania do AppArmor dla Pythona.

%description -n python3-LibAppArmor -l pt_BR.UTF-8
Módulos Python para acessar os recursos do AppArmor.

%package -n ruby-LibAppArmor
Summary:	AppArmor Ruby bindings
Summary(pl.UTF-8):	Dowiązania do AppArmor dla języka Ruby
Group:		Development/Languages
Obsoletes:	ruby-apparmor
Requires:	%{name} = %{epoch}:%{version}-%{release}
%{?ruby_mod_ver_requires_eq}

%description -n ruby-LibAppArmor
AppArmor Ruby bindings.

%description -n ruby-LibAppArmor -l pl.UTF-8
Dowiązania do AppArmor dla języka Ruby.

%prep
%setup -q -n apparmor-%{version}
%patch0 -p1

%build
cd libraries/libapparmor
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure \
%if %{with python3}
	PYTHON="%{__python3}" \
%endif
	%{?with_ruby:--with-ruby} \
	--with-python \
	--with-perl

%{__make} -j1 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 -C libraries/libapparmor install \
	RUBYARCHDIR=$RPM_BUILD_ROOT%{ruby_vendorarchdir} \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libapparmor.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libapparmor.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libapparmor.so
%{_libdir}/libapparmor.la
%{_includedir}/aalogparse
%{_includedir}/sys/apparmor.h
%{_includedir}/sys/apparmor_private.h
%{_pkgconfigdir}/libapparmor.pc
%{_mandir}/man2/aa_change_hat.2*
%{_mandir}/man2/aa_change_profile.2*
%{_mandir}/man2/aa_find_mountpoint.2*
%{_mandir}/man2/aa_getcon.2*
%{_mandir}/man2/aa_query_label.2*
%{_mandir}/man2/aa_stack_profile.2*
%{_mandir}/man3/aa_features.3*
%{_mandir}/man3/aa_kernel_interface.3*
%{_mandir}/man3/aa_policy_cache.3*
%{_mandir}/man3/aa_splitcon.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libapparmor.a

%files -n perl-LibAppArmor
%defattr(644,root,root,755)
%{perl_vendorarch}/LibAppArmor.pm
%dir %{perl_vendorarch}/auto/LibAppArmor
%attr(755,root,root) %{perl_vendorarch}/auto/LibAppArmor/LibAppArmor.so

%if %{with python3}
%files -n python3-LibAppArmor
%defattr(644,root,root,755)
%dir %{py3_sitedir}/LibAppArmor
%attr(755,root,root) %{py3_sitedir}/LibAppArmor/_LibAppArmor.*.so
%{py3_sitedir}/LibAppArmor/__pycache__
%{py3_sitedir}/LibAppArmor/__init__.py
%{py3_sitedir}/LibAppArmor-*.egg-info
%else
%files -n python-LibAppArmor
%defattr(644,root,root,755)
%dir %{py_sitedir}/LibAppArmor
%attr(755,root,root) %{py_sitedir}/LibAppArmor/_LibAppArmor.so
%{py_sitedir}/LibAppArmor/__init__.py[co]
%{py_sitedir}/LibAppArmor/LibAppArmor.py[co]
%{py_sitedir}/LibAppArmor-*.egg-info
%endif

%if %{with ruby}
%files -n ruby-LibAppArmor
%defattr(644,root,root,755)
%attr(755,root,root) %{ruby_vendorarchdir}/LibAppArmor.so
%endif
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libapparmor.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 14ba54b
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Tue Jul 16 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a8aa90
- up to 2.13.3

* Mon Mar 18 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 8be1dbd
- up to 2.13.2

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> a19061a
- rebuild with perl 5.28.0
- release 3 (by relup.sh)

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> a4d5769
- rebuild with ruby 2.4
- release 2 (by relup.sh)

* Wed Apr 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 1431fff
- enhanced private patch to cover one more symbol (this time public, added probably in 2.13; used by apparmor-parser)

* Mon Apr 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 45a59e5
- up to 2.13

* Sat Jan 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 541a449
- up to 2.12

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> 97facf8
- rebuild with ruby 2.3
- release 2 (by relup.sh)

* Fri Oct 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 035f93b
- up to 2.11.1

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 112d9e2
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 00b69e1
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Sun Apr 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 9788705
- updated to 2.11.0
- removed obsolete import patch

* Thu Dec 15 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> ddb57df
- rel 3; fix python2.7 bindings with newer swig

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 58d39d3
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Mon Apr 25 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 90ed505
- up to 2.10.1

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> 9241868
- ruby 2.1 rebuild
- release 5 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> c18d068
- release 4 (by relup.sh)

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 475aec0
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9d40783
- release 2 (by relup.sh)

